Package org.python.modules._locale

# Class JyLocale

java.lang.Object
org.python.modules._locale.DateSymbolJyLocale
org.python.modules._locale.JyLocale

All Implemented Interfaces:
  `DateSymbolLocale`, `PyLocale`

public class JyLocale extends DateSymbolJyLocale implements PyLocale
Sources locale information from standard Java API functions, such as that in `Locale` and `DecimalFormat`. Used by the _locale module. Callers would not usually interact with this class directly unless working with _locale internals.

Since:
  Jython 2.7.2

## Constructor Summary

Constructors
Constructor
Description
`JyLocale(Locale locale, String encoding)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getEncoding()`
`PyString`
`getLocaleString()`
`PyString`
`getUnderlyingLocale()`
`static boolean`
`isExtendedWhitespace(char c)`
Includes non-breaking space, but not extended codepoints
`PyDictionary`
`localeconv()`
`int`
`strcoll(PyString str1, PyString str2)`
`PyString`
`strxfrm(PyString str)`

### Methods inherited from class org.python.modules._locale.DateSymbolJyLocale

`getAmPmStrings, getMonths, getShortMonths, getShortWeekdays, getWeekdays`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.python.modules._locale.DateSymbolLocale

`getAmPmStrings, getMonths, getShortMonths, getShortWeekdays, getWeekdays`

## Constructor Details

### JyLocale

public JyLocale(Locale locale, String encoding)

## Method Details

### localeconv

public PyDictionary localeconv()

Specified by:
  `localeconv` in interface `PyLocale`

### getLocaleString

public PyString getLocaleString()

Specified by:
  `getLocaleString` in interface `PyLocale`

### getUnderlyingLocale

public PyString getUnderlyingLocale()

Specified by:
  `getUnderlyingLocale` in interface `PyLocale`

### strcoll

public int strcoll(PyString str1, PyString str2)

Specified by:
  `strcoll` in interface `PyLocale`

### strxfrm

public PyString strxfrm(PyString str)

Specified by:
  `strxfrm` in interface `PyLocale`

### getEncoding

public String getEncoding()

### isExtendedWhitespace

public static boolean isExtendedWhitespace(char c)
Includes non-breaking space, but not extended codepoints